{ nixpkgs, self, hm-isolation }:
{ config, pkgs, lib, ... } :
with lib;
{
  imports = [
    (hm-isolation.homeManagerModule)
    ./gui
    ./isolation.nix
    ./path.nix
    ./systemd
  ];

  nixpkgs.overlays = [ self.overlay ];

  home = {
    stateVersion = "21.11"; # No tocar esto
    username = "fabian";
    homeDirectory = "/home/fabian";
    sessionVariables = {
      "EDITOR" = "nvim";
      "TERMINAL" = "kitty";
    };
    keyboard = {
      layout = "us,latam";
      options = [ "grp:alt_shift_toggle" ];
    };
  };

  nix.registry = {
    "system".to = {
      type = "path";
      path = "/home/fabian/nix";
    };
  
    "nixpkgs".flake = nixpkgs;
  };

  programs = {
    home-manager.enable = true;
    neovim.enable = true; 
    zsh = { 
      enable = true;
      enableSyntaxHighlighting = true;
      initExtra = import ./zshrc.nix pkgs;
    };
    git = {
      enable = true;
      userEmail = "fabian@cluster451.org";
      userName = "Fabián Montero";
      signing.key = "E77A808BF9A955D668EEEA6473FA9C9CB5F0249B";
    };
  };
}

